Summary: Server daemons for IMAP and POP network mail protocols.
Name: imap
Version: 4.7a
Release: 1
Group: System Environment/Daemons
Copyright: BSD
Url: http://www.washington.edu/imap/
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.cac.washington.edu/mail/imap-%{version}.tar.Z
Source1: ftp://ftp.cac.washington.edu/mail/imap-utils.tar.Z
Source2: imap.pamd
Requires: pam >= 0.59
Buildroot: /var/tmp/%{name}-root

%description
The imap package provides server daemons for both the IMAP (Internet
Message Access Protocol) and POP (Post Office Protocol) mail access
protocols.  The POP protocol uses a "post office" machine to collect mail
for users and allows users to download their mail to their local machine
for reading. The IMAP protocol provides the functionality of POP, but
allows a user to read mail on a remote machine without downloading it to
their local machine.

Install the imap package if you need a server to support the IMAP or the
POP mail access protocols.


%package utils
Summary: IMAP utilities
Group: Applications/Mail

%description utils
IMAP utilities.


%prep
%setup -q -a 1


%build
# make imap
make lnp

# make imap-utils
mkdir -p utils/{bin,man}
for i in `tar ztf %{SOURCE1}|egrep /$|sed 's|/$||'`; do
    make -C $i C=../c-client
    install -s -m755 $i/$i utils/bin
    if [ -f $i/$i.1 ]; then
	install -m644 $i/$i.1 utils/man
    fi
done


%install
rm -rf $RPM_BUILD_ROOT
# install imap
mkdir -p $RPM_BUILD_ROOT/{usr/{sbin,man/man8},etc/pam.d}
install -m755 -s {ipopd/{ipop2d,ipop3d},imapd/imapd} $RPM_BUILD_ROOT/usr/sbin
install -m644 src/{ipopd/ipopd.8c,imapd/imapd.8c} $RPM_BUILD_ROOT/usr/man/man8
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/imap
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/pop

# install imap-utils
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1}
install -m755 utils/bin/* $RPM_BUILD_ROOT/usr/bin
install -m644 utils/man/* $RPM_BUILD_ROOT/usr/man/man1
ln -s mbxcopy  $RPM_BUILD_ROOT/usr/bin/mbxmove
ln -s imapcopy $RPM_BUILD_ROOT/usr/bin/imapmove


%files
%defattr(-,root,root)
%doc CONTENTS README* docs
%config /etc/pam.d/*
%attr(0755,root,mail) /usr/sbin/*
/usr/man/man8/*

%files utils
%defattr(-,root,root)
/usr/bin/*
/usr/man/man1/*


%clean
rm -rf $RPM_BUILD_ROOT

